Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
_funnel_ops_t Struct Reference

## Public Attributes
funnel_ops_id_t * | ops_id
funnel_text_window_t *(* | new_text_window )(const char *label)
void(* | set_text )(funnel_text_window_t *win, const char *text)
void(* | append_text )(funnel_text_window_t *win, const char *text)
void(* | prepend_text )(funnel_text_window_t *win, const char *text)
void(* | clear_text )(funnel_text_window_t *win)
const char *(* | get_text )(funnel_text_window_t *win)
void(* | set_close_cb )(funnel_text_window_t *win, text_win_close_cb_t cb, void *data)
void(* | set_editable )(funnel_text_window_t *win, gboolean editable)
void(* | destroy_text_window )(funnel_text_window_t *win)
void(* | add_button )(funnel_text_window_t *win, funnel_bt_t *cb, const char *label)
void(* | new_dialog )(const gchar *title, const gchar **fieldnames, funnel_dlg_cb_t dlg_cb, void *data)
void(* | close_dialogs )(void)
void(* | logger )(const gchar *log_domain, GLogLevelFlags log_level, const gchar *message, gpointer user_data)
void(* | retap_packets )(funnel_ops_id_t *ops_id)
void(* | copy_to_clipboard )(GString *str)
const gchar *(* | get_filter )(funnel_ops_id_t *ops_id)
void(* | set_filter )(funnel_ops_id_t *ops_id, const char *filter)
void(* | set_color_filter_slot )(guint8 flit_nr, const gchar *filter)
gboolean(* | open_file )(funnel_ops_id_t *ops_id, const char *fname, const char *filter, char **error)
void(* | reload_packets )(funnel_ops_id_t *ops_id)
void(* | reload_lua_plugins )(funnel_ops_id_t *ops_id)
void(* | apply_filter )(funnel_ops_id_t *ops_id)
gboolean(* | browser_open_url )(const gchar *url)
void(* | browser_open_data_file )(const gchar *filename)
struct progdlg *(* | new_progress_window )(funnel_ops_id_t *ops_id, const gchar *label, const gchar *task, gboolean terminate_is_stop, gboolean *stop_flag)
void(* | update_progress )(struct progdlg *, float pr, const gchar *task)
void(* | destroy_progress_window )(struct progdlg *)

The documentation for this struct was generated from the following file:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/epan/funnel.h